Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../chunk-BN4qSVkS.cjs");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/utils/toReactNodes/stringToNodes.tsx
function stringToNodes(str) {
	return str.split("\n").map((str, i, strArr) => {
		const key = `str-${i}-${str.substr(0, 20)}`;
		return !str && i === strArr.length - 1 ? null : /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsxs)("span", { children: [str.length ? str : null, i < strArr.length - 1 ? /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)("br", {}) : null] }, key);
	});
}
//#endregion
exports.stringToNodes = stringToNodes;
